Bug 1089029 - Auth info saving in gnome-keyring does not properly handle multiple printers on one device
Summary: Auth info saving in gnome-keyring does not properly handle multiple printers ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-17 17:21 UTC by Andre Heinecke
Modified: 2014-07-10 00:24 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.4.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-10 00:24:09 UTC


Attachments (Terms of Use)
Base the authentication information lookup on the printer uri. (7.65 KB, patch)
2014-04-17 17:21 UTC, Andre Heinecke
no flags Details | Diff

Description Andre Heinecke 2014-04-17 17:21:25 UTC
Created attachment 887223 [details]
Base the authentication information lookup on the printer uri.

Currently system-config-printer looks for auth info (e.g. to authenticate a job over the samba protocol) based on the host, protocol and domain of the device_uri.

This is not enough in complex setups as there can be different ports / different printers on one device with different passwords. In those cases the key lookup is ambigous.

As there is already a unique identifier for a printer available (printer_uri) it is my opinion that this should be used for the lookup to avoid any ambiguity.

Attached patch changes get_authentication to take the printer_uri as an additional parameter and bases the lookup in gnome keyring on that value. 

The old attributes are kept around as informational attributes and because the domain can also be part of the required auth info. 

If the lookup based on the printer_uri fails it tries to find the authentication info the same way as before, so that already saved entries without the uri attribute are still found.

Comment 1 Tim Waugh 2014-05-06 13:58:37 UTC
Thanks, applied upstream.

Comment 2 Fedora Update System 2014-07-04 16:32:01 UTC
system-config-printer-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.5-1.fc20

Comment 3 Fedora Update System 2014-07-05 14:55:57 UTC
Package system-config-printer-1.4.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8100/system-config-printer-1.4.5-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-07-10 00:24:09 UTC
system-config-printer-1.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.